class PunishmentsModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  PunishmentsModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  PunishmentsModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String chargeId;
  String title;
  String des;
  String picUrl;
  double punishAmount;
  int statuz;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.chargeId,
      this.title,
      this.des,
      this.picUrl,
      this.punishAmount,
      this.statuz});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    chargeId = json['chargeId'];
    title = json['title'];
    des = json['des'];
    picUrl = json['picUrl'];
    punishAmount = json['punishAmount'];
    statuz = json['statuz'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['chargeId'] = this.chargeId;
    data['title'] = this.title;
    data['des'] = this.des;
    data['picUrl'] = this.picUrl;
    data['punishAmount'] = this.punishAmount;
    data['statuz'] = this.statuz;
    return data;
  }
}

// {"id":112,"userId":1001101100368,"targetUserName":"电梯学堂-电梯管家-小天","targetUserId":10000,"targetAvatarUrl":"http://ty-oss-file.oss-cn-hangzhou.aliyuncs.com/2020/07/24/1286557548035469313.jpg","amount":0.01,"createTime":1608905887000}
class RewardRecordModel {
  List<ExpertsRewardRecordModel> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  RewardRecordModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  RewardRecordModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<ExpertsRewardRecordModel>();
      json['records'].forEach((v) {
        records.add(new ExpertsRewardRecordModel.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class ExpertsRewardRecordModel {
  int id;
  double amount;
  String targetUserName;
  String targetAvatarUrl;
  int createTime;

  ExpertsRewardRecordModel({
    this.id,
    this.createTime,
    this.amount,
    this.targetUserName,
    this.targetAvatarUrl,
  });

  ExpertsRewardRecordModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    amount = json['amount'];
    targetUserName = json['targetUserName'];
    targetAvatarUrl = json['targetAvatarUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['amount'] = this.amount;
    data['targetUserName'] = this.targetUserName;
    data['targetAvatarUrl'] = this.targetAvatarUrl;
    return data;
  }
}
